Subject: Re: bug in setup.exe for postgresql-7.3.4-1
From: Jason Tishler <[email-masked]>
To: [email-masked]
Cc: Seth Rubin <[email-masked]>
Date: Mon, 4 Aug 2003 08:26:11 -0400

On Mon, Aug 04, 2003 at 12:25:43AM +0100, Max Bowsher wrote:
> Seth Rubin wrote:
> > Myself (and Jason) are thinking there's an issue with the cygwin
> > setup.  Maybe I'm being naive, but all this seems is an issue with
> > chmod and/or copy not being done properly on the postgres.exe file
> > during installation.  I don't see where ACL's or ntsec enters into
> > it.
> 
> Here's how:
> Cygwin setup *doesn't* chmod anything at all.  Hence, the file
> permissions end up being set by normal Windows inheritance.  Now,
> interpret that through ntsec, and you end up with mode 700 - on your
> particular system. Setup does try to help things to turn out right, by
> setting the group to Users, on the grounds that most systems will
> grant Users at least Read&Execute, and most users will be in group
> Users. That apparently doesn't hold true on your setup, hence your
> problems.

Is there any way to solve this problem without me adding a postinstall
script that performs a "chmod +rx" on all *.exe and *.dll files
installed by this packages?

Thanks,
Jason

-- 
PGP/GPG Key: http://www.tishler.net/jason/pubkey.asc or key servers
Fingerprint: 7A73 1405 7F2B E669 C19D  8784 1AFD E4CC ECF4 8EF6

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/